# geda-gschem.spec

Name: 		geda-gschem
Version:	20060123
Release: 	1
Summary:	Electronics schematics editor
Group: 		Applications/Engineering
License:	GPL 
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/geda-gschem-20060123.tar.gz
Source1:	gschem.desktop
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	guile
BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel
BuildRequires:	libgeda-devel
Requires:	geda-symbols

%description
Gschem is an electronics schematic editor. It is part of the gEDA project.


%define gedadocdir %{_datadir}/gEDA/docs


%prep
%setup -q

%build
%configure --with-docdir=%{gedadocdir}
make all %{?_smp_mflags}

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/gEDA/examples
install -d $RPM_BUILD_ROOT%{_datadir}/gEDA/scheme
install -m 644 examples/*.sch $RPM_BUILD_ROOT%{_datadir}/gEDA/examples
install -m 644 examples/README.* $RPM_BUILD_ROOT%{_datadir}/gEDA/examples
install -m 644 scheme/*.scm $RPM_BUILD_ROOT%{_datadir}/gEDA/scheme

desktop-file-install --vendor= \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category=X-Fedora \
    %{SOURCE1}

#renaming some locale names
mv $RPM_BUILD_ROOT%{_datadir}/locale/de_DE $RPM_BUILD_ROOT%{_datadir}/locale/de
mv $RPM_BUILD_ROOT%{_datadir}/locale/es_ES $RPM_BUILD_ROOT%{_datadir}/locale/es
mv $RPM_BUILD_ROOT%{_datadir}/locale/fr_FR $RPM_BUILD_ROOT%{_datadir}/locale/fr
mv $RPM_BUILD_ROOT%{_datadir}/locale/it_IT $RPM_BUILD_ROOT%{_datadir}/locale/it
mv $RPM_BUILD_ROOT%{_datadir}/locale/ja_JP $RPM_BUILD_ROOT%{_datadir}/locale/ja
mv $RPM_BUILD_ROOT%{_datadir}/locale/nl_NL $RPM_BUILD_ROOT%{_datadir}/locale/nl

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/gschemdoc.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gschemdoc.info.gz %{_infodir}/dir
fi

%clean
rm -Rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datadir}/gEDA/examples
%dir %{_datadir}/gEDA/scheme
%dir %{_datadir}/gEDA/bitmap
%doc AUTHORS BUGS ChangeLog COPYING README TODO VOCABULARY
%{_bindir}/gschem
%{_mandir}/man1/gschem.*
%{_infodir}/gschemdoc.info*
%{_datadir}/gEDA/scheme/*.scm
%{_datadir}/gEDA/examples/*.sch
%{_datadir}/gEDA/bitmap/*.xpm
%{_datadir}/gEDA/bitmap/*.png
%{_datadir}/gEDA/examples/README.*
%{gedadocdir}/man/*
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-gtkrc
%{_datadir}/gEDA/gschem-darkbg
%{_datadir}/gEDA/gschem-lightbg
%{_datadir}/applications/gschem.desktop

%changelog
* Sat Mar 25 2006 joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- recompiled with libgdgeda 2.0.9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0
- recent patches no more needed

* Thu Sep 5 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030825-2
- added a patch to gschem.c (for those who don't use noweb)

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030825-1
- updated to version 20020825
- two patches correcting errors found in release

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209
- info files added

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- man directory changed, some corrections, previous patch no more needed

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- bulild directory changed, patched for improper rc file location
- examples directory added
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- rebuilt with '*' on man page - Mandrake compresses it with bzip2 by default
and redhat with gzip (apparently)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'TODO' files in docs
- updated to version 20000704

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- removed obsolete 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added little patch
- updated to 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'libgdgeda' as 'Requires' tag
- rebuilt with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
